org.springframework.batch.integration.config.annotation

## Class BatchIntegrationConfiguration

- java.lang.Object
- - org.springframework.batch.integration.config.annotation.BatchIntegrationConfiguration

-     @Configuration
      public class BatchIntegrationConfiguration
      extends java.lang.Object

  Base configuration class for Spring Batch Integration factory beans.
  Since:
    4.1
  Author:
    Mahmoud Ben Hassine

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchIntegrationConfiguration(JobRepository jobRepository, JobExplorer jobExplorer, org.springframework.transaction.PlatformTransactionManager transactionManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RemoteChunkingManagerStepBuilderFactory` | `remoteChunkingManagerStepBuilderFactory()`
    `RemoteChunkingMasterStepBuilderFactory` | `remoteChunkingMasterStepBuilderFactory()` Deprecated.
    `<I,O> RemoteChunkingWorkerBuilder<I,O>` | `remoteChunkingWorkerBuilder()`
    `RemotePartitioningManagerStepBuilderFactory` | `remotePartitioningManagerStepBuilderFactory()`
    `RemotePartitioningMasterStepBuilderFactory` | `remotePartitioningMasterStepBuilderFactory()` Deprecated.
    `RemotePartitioningWorkerStepBuilderFactory` | `remotePartitioningWorkerStepBuilderFactory()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchIntegrationConfiguration

          @Autowired
          public BatchIntegrationConfiguration(JobRepository jobRepository,
                                                          JobExplorer jobExplorer,
                                                          org.springframework.transaction.PlatformTransactionManager transactionManager)

  - ### Method Detail

    - #### remoteChunkingMasterStepBuilderFactory

          @Deprecated
           @Bean
          public RemoteChunkingMasterStepBuilderFactory remoteChunkingMasterStepBuilderFactory()

      Deprecated.

    - #### remoteChunkingManagerStepBuilderFactory

          @Bean
          public RemoteChunkingManagerStepBuilderFactory remoteChunkingManagerStepBuilderFactory()

    - #### remoteChunkingWorkerBuilder

          @Bean
          public <I,O> RemoteChunkingWorkerBuilder<I,O> remoteChunkingWorkerBuilder()

    - #### remotePartitioningMasterStepBuilderFactory

          @Deprecated
           @Bean
          public RemotePartitioningMasterStepBuilderFactory remotePartitioningMasterStepBuilderFactory()

      Deprecated.

    - #### remotePartitioningManagerStepBuilderFactory

          @Bean
          public RemotePartitioningManagerStepBuilderFactory remotePartitioningManagerStepBuilderFactory()

    - #### remotePartitioningWorkerStepBuilderFactory

          @Bean
          public RemotePartitioningWorkerStepBuilderFactory remotePartitioningWorkerStepBuilderFactory()